Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Decoder::SeekableStream Class Reference
[FLAC++/decoder.h: seekable stream decoder class]

`#include <decoder.h>`

List of all members.

## Public Methods
| SeekableStream ()
virtual | ~SeekableStream ()
bool | is_valid () const
| operator bool () const
bool | set_md5_checking (bool value)
bool | set_metadata_respond (::FLAC__MetadataType type)
bool | set_metadata_respond_application (const FLAC__byte id[4])
bool | set_metadata_respond_all ()
bool | set_metadata_ignore (::FLAC__MetadataType type)
bool | set_metadata_ignore_application (const FLAC__byte id[4])
bool | set_metadata_ignore_all ()
State | get_state () const
Stream::State | get_stream_decoder_state () const
bool | get_md5_checking () const
unsigned | get_channels () const
::FLAC__ChannelAssignment | get_channel_assignment () const
unsigned | get_bits_per_sample () const
unsigned | get_sample_rate () const
unsigned | get_blocksize () const
State | init ()
bool | finish ()
bool | flush ()
bool | reset ()
bool | process_single ()
bool | process_until_end_of_metadata ()
bool | process_until_end_of_stream ()
bool | skip_single_frame ()
bool | seek_absolute (FLAC__uint64 sample)
## Protected Methods
virtual::FLAC__SeekableStreamDecoderReadStatus | read_callback (FLAC__byte buffer[], unsigned *bytes)=0
virtual::FLAC__SeekableStreamDecoderSeekStatus | seek_callback (FLAC__uint64 absolute_byte_offset)=0
virtual::FLAC__SeekableStreamDecoderTellStatus | tell_callback (FLAC__uint64 *absolute_byte_offset)=0
virtual::FLAC__SeekableStreamDecoderLengthStatus | length_callback (FLAC__uint64 *stream_length)=0
virtual bool | eof_callback ()=0
virtual::FLAC__StreamDecoderWriteStatus | write_callback (const::FLAC__Frame *frame, const FLAC__int32 *const buffer[])=0
virtual void | metadata_callback (const::FLAC__StreamMetadata *metadata)=0
virtual void | error_callback (::FLAC__StreamDecoderErrorStatus status)=0
## Protected Attributes
::FLAC__SeekableStreamDecoder * | decoder_

## Detailed Description

This class wraps the FLAC__SeekableStreamDecoder.

The documentation for this class was generated from the following file:

- include/FLAC++/decoder.h